# AcknowledgementScreenConfiguration class

Configuration of the acknowledgement screen.

## Constructors

AcknowledgementScreenConfiguration.new({StyledText? topBarTitle, DocumentQuality minimumQuality = DocumentQuality.POOR, AcknowledgementMode acknowledgementMode = AcknowledgementMode.ALWAYS, IconUserGuidanceConfiguration? badImageHint, ScanbotColor? backgroundColor, AcknowledgementBottomBar? bottomBar})
AcknowledgementScreenConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

acknowledgementMode ↔ AcknowledgementMode
  Determines, after each page is snapped, whether the acknowledgment screen should be displayed or not.
  getter/setter pair
backgroundColor ↔ ScanbotColor
  The background color of the acknowledgement screen.
  getter/setter pair
badImageHint ↔ IconUserGuidanceConfiguration
  Configuration of the hint that explains that the quality of the scanned page is unacceptable.
  getter/setter pair
bottomBar ↔ AcknowledgementBottomBar
  Configuration of the bottom bar for the acknowledgement screen.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
minimumQuality ↔ DocumentQuality
  The minimum quality of a scanned page to be deemed acceptable. Used in conjunction with the acknowledgement mode.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
topBarTitle ↔ StyledText
  Configuration of the title, located in the top bar.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited